[SeaMonkey, sea-vm-linux32-2] "test_a4_tone.html | The audioAvailable event's time attribute was invalid." (+ 3 more)

RESOLVED INACTIVE

Status

()

--
major
RESOLVED INACTIVE
7 years ago
a month ago

People

(Reporter: sgautherie, Unassigned)

Tracking

(Depends on: 1 bug, Blocks: 1 bug)

Trunk
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1329942717.1329944687.13406.gz
Linux comm-central-trunk debug test mochitests-1/5 on 2012/02/22 12:31:57
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1329948790.1329953524.32728.gz
WINNT 5.2 comm-central-trunk debug test mochitests-1/5 on 2012/02/22 14:13:10
+
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1329952616.1329955722.5081.gz
Linux comm-beta debug test mochitests-1/5 on 2012/02/22 15:16:56
{
73245 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_a4_tone.html | The audioAvailable event's time attribute was invalid.
73246 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_a4_tone.html | Check amount of signal data processed - got 104448, expected 133120
73247 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_a4_tone.html | Check signal present - got false, expected true
73248 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_a4_tone.html | Check mute fragments present - got false, expected true
}

OSX doesn't report this.

***

http://tinderbox.mozilla.org/showbuilds.cgi?tree=SeaMonkey-Beta&maxdate=1327425610&hours=24&legend=0&norules=1
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1327367678.1327370127.7155.gz
rev:31064b2b5116
moz:9ce530c3cf52

already failed.

***

This test was added in bug 490705.
(Reporter)

Updated

7 years ago
Summary: [SeaMonkey] → [SeaMonkey] "test_a4_tone.html | The audioAvailable event's time attribute was invalid." (+ 3 more)
(Reporter)

Comment 1

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1331179363.1331184145.25287.gz
WINNT 5.2 comm-aurora debug test mochitests-1/5 on 2012/03/07 20:02:43
has is too.

***

Before failing, this test triggers some
{
WARNING: Hit audio event queue max.: file /builds/slave/comm-cen-trunk-lnx-dbg/build/mozilla/content/media/nsAudioAvailableEventManager.cpp, line 179
}

I assume this may be due to bug 591848.

Yet, would there be a way for the test to first check for enabled sound support?
Depends on: 591848
(Reporter)

Comment 2

7 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #1)
> Yet, would there be a way for the test to first check for enabled sound
> support?

Something similar to bug 591847 fix?
(Reporter)

Comment 3

7 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #1)
> http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1331179363.
> 1331184145.25287.gz
> WINNT 5.2 comm-aurora debug test mochitests-1/5 on 2012/03/07 20:02:43
> has is too.

That was on "s: cn-sea-qm-win2k3-01".
(some) Other VMs seem unaffected (on Windows aurora).
(Reporter)

Updated

7 years ago
Summary: [SeaMonkey] "test_a4_tone.html | The audioAvailable event's time attribute was invalid." (+ 3 more) → [SeaMonkey, Linux + cn-sea-qm-win2k3-01] "test_a4_tone.html | The audioAvailable event's time attribute was invalid." (+ 3 more)
(Reporter)

Comment 4

7 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #0)
> http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1329948790.1329953524.
> 32728.gz
> WINNT 5.2 comm-central-trunk debug test mochitests-1/5 on 2012/02/22 14:13:10

was "s: cn-sea-qm-win2k3-01" too.


http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1331999883.1332005338.1983.gz
WINNT 5.2 comm-central-trunk debug test mochitests-1/5 on 2012/03/17 08:58:03
s: cn-sea-qm-win2k3-01

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1332414048.1332419722.14654.gz
WINNT 5.2 comm-central-trunk debug test mochitests-1/5 on 2012/03/22 04:00:48
s: cn-sea-qm-win2k3-01
(Reporter)

Updated

6 years ago
Depends on: 745748
(Reporter)

Comment 5

6 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1334556776.1334561890.16769.gz
WINNT 5.2 comm-central-trunk debug test mochitests-1/5 on 2012/04/15 23:12:56
s: cn-sea-qm-win2k3-01
{
76665 INFO TEST-PASS | /tests/content/media/test/test_a4_tone.html | mozFrameBufferLength should be 1024. - 1024 should equal 1024
Error opening default audio device.
WARNING: Hit audio event queue max.: file e:/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/content/media/nsAudioAvailableEventManager.cpp, line 179
[...]
76666 INFO TEST-PASS | /tests/content/media/test/test_a4_tone.html | loadedmetadata event not dispatched.
76667 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_a4_tone.html | The audioAvailable event's time attribute was invalid.
[...]
}


(In reply to Serge Gautherie (:sgautherie) from comment #1)
> I assume this may be due to bug 591848.

It looks like "Error opening default audio device" confirms this.
I filed bug 745748.
(Reporter)

Comment 6

6 years ago
SM 2.11:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1334848393.1334850885.30149.gz
Linux comm-central-trunk debug test mochitests-1/5 on 2012/04/19 08:13:13
s: cb-seamonkey-linux-01
{
75943 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_a4_tone.html | The audioAvailable event's time attribute was invalid.
75944 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_a4_tone.html | Check amount of signal data processed - got 104448, expected 133120
75945 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_a4_tone.html | Check signal present - got false, expected true
75946 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_a4_tone.html | Check mute fragments present - got false, expected true
}
(Reporter)

Comment 7

6 years ago
SM 2.12a1:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1337379170.1337382760.23915.gz
WINNT 5.2 comm-central-trunk debug test mochitests-1/5 on 2012/05/18 15:12:50
s: cn-sea-qm-win2k3-01
SM 2.16a1:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1352021069.1352022814.21578.gz
Linux comm-central-trunk debug test mochitests-1/5 on 2012/11/04 01:24:29
s: sea-vm-linux32-2

[I think bug 591848 was closed a bit too early; IMHO should only have happened once Linux has actually been done.]
Summary: [SeaMonkey, Linux + cn-sea-qm-win2k3-01] "test_a4_tone.html | The audioAvailable event's time attribute was invalid." (+ 3 more) → [SeaMonkey, sea-vm-linux32-2] "test_a4_tone.html | The audioAvailable event's time attribute was invalid." (+ 3 more)
Probably Callek meant Bug 795354 with the Linux platform rev? Then this bug here should be marked depending on that one.
Component: Audio/Video → Audio/Video: Playback
Mass closing do to inactivity.
Feel free to re-open if still needed.
Status: NEW → RESOLVED
Last Resolved: a month ago
Resolution: --- → INACTIVE
You need to log in before you can comment on or make changes to this bug.